document.addEventListener("DOMContentLoaded", () => {
  const certUrl = document.getElementById("cert-check-info").dataset.certUrl;
  fetch(certUrl, { mode: "no-cors" })
      .then((response) => {
        document.getElementById("cert-check-info").hidden = true;
      })
      .catch((error) => {
        console.error("Fetch error:", error.message || error);
      });
});